Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Command_Base Class Reference

Defines an abstract class that allows us to invoke commands without knowing anything about the implementation. More...

`#include <Functor.h>`

Inheritance diagram for ACE_Command_Base:

[legend]
List of all members.

## Public Methods
| ACE_Command_Base (void)
| Default constructor.
virtual | ~ACE_Command_Base (void)
| Virtual destructor.
virtual int | execute (void *arg=0)=0

## Detailed Description

Defines an abstract class that allows us to invoke commands without knowing anything about the implementation.

This class declares an interface to execute a command independent of the effect of the command, or the objects used to implement it.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Command_Base::ACE_Command_Base | ( | void |  | ) |

| Default constructor.

ACE_INLINE ACE_Command_Base::~ACE_Command_Base | ( | void |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual int ACE_Command_Base::execute | ( | void * | arg = 0 | ) | `[pure virtual]`

| Invokes the method encapsulated by the command, passing along the passed argument (if any). Users of classes derived from this class must ensure that the resulting invocation can tolerate a null void pointer being passed, or otherwise ensure that this will never occur. Implemented in ACE_Command_Callback< RECEIVER, ACTION >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Functor.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Functor.i